Skip to main content
PATCH
/
v3
/
lipsyncs
/
{lipsync_id}
Update Lipsync
curl --request PATCH \
  --url https://api.heygen.com/v3/lipsyncs/{lipsync_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "title": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "status": "pending",
    "title": "<string>",
    "duration": 123,
    "video_url": "<string>",
    "caption_url": "<string>",
    "callback_id": "<string>",
    "created_at": 123,
    "failure_message": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

HeyGen API key. Obtain from your HeyGen dashboard.

Path Parameters

lipsync_id
string
required

Unique lipsync identifier

Body

application/json

Request body for PATCH /v3/lipsyncs/{id}.

title
string
required

New title for the lipsync

Response

Successful response

data
LipsyncDetail · object

Detailed lipsync resource.